const controlViewModel = require('./control-view-model.js')
const domain = require('../../domain/motor-control/index.js')
const paramsViewModel = require('./params-view-model.js')

module.exports = {
  controlService: require('./control-service.js'),
  controlViewModel,
  domain,
  paramsPageState: domain.data.paramsState,
  paramsService: require('./params-service.js'),
  paramsViewModel,
  protocolService: require('./protocol-service.js'),
  syncService: require('./sync-service.js'),
  ...controlViewModel,
  ...paramsViewModel
}
